///////////////////////////////////////////////////////////////////////////////
// Name:		wxMrtEdit.h
// Purpose:     Mrt Style Edit
// Author:      emarti, Murat zdemir  e-mail: dtemarti<add>gmail<dot>com
// Created:     27.04.2006
// Copyright:   (c) emarti
// Licence:     GPL
///////////////////////////////////////////////////////////////////////////////
/*
	wxMrtEdit->Text derive from wxTextCtrl.

	wxMrtEdit->Text->SetForegroundColour(wxColour(*wxRED));
	wxMrtEdit->Text->SetValue(_T("SetValue() for wxMrtEdit")); 
*/
#ifndef wxMrtEDIT_H
#define wxMrtEDIT_H

#define K_RECTANGLE			0	
#define K_LINE				1
#define K_DOUBLELINE		2

class wxMrtEdit;

class wxMetin : public wxTextCtrl{
	public:
		wxMetin(wxMrtEdit* MrtEdit, wxWindowID id, wxString value, int x, int y,int w, int h, long style);
		virtual ~wxMetin();

	void Out(wxMouseEvent& event);

	private:
		wxMrtEdit* Mrt;
	
	DECLARE_EVENT_TABLE()
};

class wxMrtEdit : public wxControl{ 
	public: 
        wxMrtEdit(wxWindow *parent, wxWindowID id, wxString value, int x, int y, int width, int height,int kind, long style, wxColour frameColour, wxColour insideframeColour, wxColour backgroundColour);
		virtual ~wxMrtEdit(); 
		
		void MouseEnter(wxMouseEvent& event);
		void MouseLeave(wxMouseEvent& event);
		void LeftDown(wxMouseEvent& event);
		
        void OnPaint(wxPaintEvent& event); 
		wxMetin *Text;
		bool inside;

	private: 
        int w,h,k;
		wxColour m_frameColour, m_insideframeColour;
		
	DECLARE_EVENT_TABLE() 
}; 

#endif
